<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:42 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Audit (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Audit (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Audit.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../io/mosip/registration/dto/json/metadata/Applicant.html" title="class in io.mosip.registration.dto.json.metadata"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../io/mosip/registration/dto/json/metadata/Biometric.html" title="class in io.mosip.registration.dto.json.metadata"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?io/mosip/registration/dto/json/metadata/Audit.html" target="_top">Frames</a></li>
<li><a href="Audit.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.io.mosip.registration.dto.AuditDTO">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#methods.inherited.from.class.io.mosip.registration.dto.AuditDTO">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">io.mosip.registration.dto.json.metadata</div>
<h2 title="Class Audit" class="title">Class Audit</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../io/mosip/registration/dto/BaseDTO.html" title="class in io.mosip.registration.dto">io.mosip.registration.dto.BaseDTO</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../io/mosip/registration/dto/AuditDTO.html" title="class in io.mosip.registration.dto">io.mosip.registration.dto.AuditDTO</a></li>
<li>
<ul class="inheritance">
<li>io.mosip.registration.dto.json.metadata.Audit</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Audit</span>
extends <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html" title="class in io.mosip.registration.dto">AuditDTO</a></pre>
<div class="block">This class is to capture the time duration for each event</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Dinesh Asokan</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.io.mosip.registration.dto.AuditDTO">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;io.mosip.registration.dto.<a href="../../../../../../io/mosip/registration/dto/AuditDTO.html" title="class in io.mosip.registration.dto">AuditDTO</a></h3>
<code><a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#actionTimeStamp">actionTimeStamp</a>, <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#applicationId">applicationId</a>, <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#applicationName">applicationName</a>, <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#createdAt">createdAt</a>, <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#createdBy">createdBy</a>, <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#description">description</a>, <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#eventId">eventId</a>, <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#eventName">eventName</a>, <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#eventType">eventType</a>, <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#hostIp">hostIp</a>, <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#hostName">hostName</a>, <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#id">id</a>, <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#idType">idType</a>, <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#moduleId">moduleId</a>, <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#moduleName">moduleName</a>, <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#sessionUserId">sessionUserId</a>, <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#sessionUserName">sessionUserName</a>, <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#uuid">uuid</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/dto/json/metadata/Audit.html#Audit--">Audit</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.io.mosip.registration.dto.AuditDTO">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;io.mosip.registration.dto.<a href="../../../../../../io/mosip/registration/dto/AuditDTO.html" title="class in io.mosip.registration.dto">AuditDTO</a></h3>
<code><a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#getActionTimeStamp--">getActionTimeStamp</a>, <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#getApplicationId--">getApplicationId</a>, <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#getApplicationName--">getApplicationName</a>, <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#getCreatedAt--">getCreatedAt</a>, <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#getCreatedBy--">getCreatedBy</a>, <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#getDescription--">getDescription</a>, <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#getEventId--">getEventId</a>, <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#getEventName--">getEventName</a>, <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#getEventType--">getEventType</a>, <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#getHostIp--">getHostIp</a>, <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#getHostName--">getHostName</a>, <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#getId--">getId</a>, <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#getIdType--">getIdType</a>, <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#getModuleId--">getModuleId</a>, <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#getModuleName--">getModuleName</a>, <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#getSessionUserId--">getSessionUserId</a>, <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#getSessionUserName--">getSessionUserName</a>, <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#getUuid--">getUuid</a>, <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#setActionTimeStamp-java.time.LocalDateTime-">setActionTimeStamp</a>, <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#setApplicationId-java.lang.String-">setApplicationId</a>, <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#setApplicationName-java.lang.String-">setApplicationName</a>, <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#setCreatedAt-java.time.LocalDateTime-">setCreatedAt</a>, <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#setCreatedBy-java.lang.String-">setCreatedBy</a>, <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#setDescription-java.lang.String-">setDescription</a>, <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#setEventId-java.lang.String-">setEventId</a>, <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#setEventName-java.lang.String-">setEventName</a>, <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#setEventType-java.lang.String-">setEventType</a>, <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#setHostIp-java.lang.String-">setHostIp</a>, <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#setHostName-java.lang.String-">setHostName</a>, <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#setId-java.lang.String-">setId</a>, <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#setIdType-java.lang.String-">setIdType</a>, <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#setModuleId-java.lang.String-">setModuleId</a>, <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#setModuleName-java.lang.String-">setModuleName</a>, <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#setSessionUserId-java.lang.String-">setSessionUserId</a>, <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#setSessionUserName-java.lang.String-">setSessionUserName</a>, <a href="../../../../../../io/mosip/registration/dto/AuditDTO.html#setUuid-java.lang.String-">setUuid</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Audit--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Audit</h4>
<pre>public&nbsp;Audit()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Audit.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../io/mosip/registration/dto/json/metadata/Applicant.html" title="class in io.mosip.registration.dto.json.metadata"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../io/mosip/registration/dto/json/metadata/Biometric.html" title="class in io.mosip.registration.dto.json.metadata"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?io/mosip/registration/dto/json/metadata/Audit.html" target="_top">Frames</a></li>
<li><a href="Audit.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.io.mosip.registration.dto.AuditDTO">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#methods.inherited.from.class.io.mosip.registration.dto.AuditDTO">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
